/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_shoco_Shoco */

#ifndef _Included_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_shoco_Shoco
#define _Included_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_shoco_Shoco
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_shoco_Shoco
 * Method:    shoco_compress
 * Signature: ([BI)[B
 */
JNIEXPORT jbyteArray JNICALL Java_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_shoco_Shoco_shoco_1compress
  (JNIEnv *, jobject, jbyteArray, jint);

/*
 * Class:     sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_shoco_Shoco
 * Method:    shoco_decompress
 * Signature: ([BI)[B
 */
JNIEXPORT jbyteArray JNICALL Java_sk_stuba_fiit_dp_xhudecm1_smsgatewaydatacompression_shoco_Shoco_shoco_1decompress
  (JNIEnv *, jobject, jbyteArray, jint);

#ifdef __cplusplus
}
#endif
#endif
